Subject: Re: [sieve] ABNF error in ManageSieve

From: Alexey Melnikov <[email-masked]>
Date: Thu, 02 Dec 2010 17:10:07 +0000

Barry Leiba wrote:

>>>   quoted                = DQUOTE *1024QUOTED-CHAR DQUOTE
>>>                           ;; limited to 1024 octets between the <">s
>>>
>>>The comment for quoted is not what the syntax rule for quoted does.  The
>>>syntax rule allows as many as 4096 octets, as QUOTED-CHAR is 1-4 octets.
>>>
>>>I think that the intent is to limit the overall number of octets, and not
>>>the number of characters.  Otherwise it doesn't make sense at all.
>>>      
>>>
>>I think the report is correct. The restriction came from ACAP and RFC 2244
>>says that a quoted string is limited to 1024 octets.
>>    
>>
>
>That's correct.
>
>The way we usually handle this sort of thing is not to put a
>restriction in the formal grammar, but to list it in the comments
>only.  Like this:
>
>      quoted                = DQUOTE *QUOTED-CHAR DQUOTE
>                              ;; limited to 1024 octets between the <">s
>
>That's not ideal, but it's worked before.  Trying to enforce the limit
>in the formal grammar will be icky.[1]
>
Ok, I've submitted an erratum for this with the proposed fix.